package com.madeu.service.web.webreserve;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.web.multipart.MultipartFile;

public interface WebReserveService {

	public HashMap<String, Object> selectListReserveUserOption(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> selectTotalReserveStatusCount(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> selectListReserve(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> selectHospitalHoliday(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> selectListReserveStatus(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> selectReserve(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> selectReserveUser(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> selectListReserveUserNoPayment(HashMap<String, Object> paramMap) throws Exception;
    public HashMap<String, Object> selectListReserveUserHistoryIntro(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> selectListReserveUserHistory(HashMap<String, Object> paramMap) throws Exception;
	public List<Map<String, Object>> selectListReserveUserHistoryExcel(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> insertReserve(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> insertReserveSimple(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> insertReserveReady(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> updateReserve(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> updateReserveStatus(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> updateReserveStatus2(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> deleteReserve(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> uploadReserveExcel(HashMap<String, Object> paramMap, MultipartFile file) throws Exception;
	public HashMap<String, Object> selectListReserveColumnExcel(HashMap<String, Object> paramMap) throws Exception;

}
